Economía: operaciones
curl --request POST \
--url https://api.erlcrussia.com/v3/civops/economy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500
}
'import requests
url = "https://api.erlcrussia.com/v3/civops/economy"
payload = {
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromUserId: '123456789012345678', toUserId: '234567890123456789', amount: 500})
};
fetch('https://api.erlcrussia.com/v3/civops/economy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v3/civops/economy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromUserId' => '123456789012345678',
'toUserId' => '234567890123456789',
'amount' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v3/civops/economy"
payload := strings.NewReader("{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erlcrussia.com/v3/civops/economy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v3/civops/economy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500,
"newBalance": {
"cash": 14500,
"bank": 82000
}
}Acciones
Economía: operaciones
Transferencias, banco, añadir, quitar, reiniciar saldo y tiempos de espera.
POST
/
civops
/
economy
Economía: operaciones
curl --request POST \
--url https://api.erlcrussia.com/v3/civops/economy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500
}
'import requests
url = "https://api.erlcrussia.com/v3/civops/economy"
payload = {
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fromUserId: '123456789012345678', toUserId: '234567890123456789', amount: 500})
};
fetch('https://api.erlcrussia.com/v3/civops/economy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.erlcrussia.com/v3/civops/economy",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromUserId' => '123456789012345678',
'toUserId' => '234567890123456789',
'amount' => 500
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.erlcrussia.com/v3/civops/economy"
payload := strings.NewReader("{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.erlcrussia.com/v3/civops/economy")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.erlcrussia.com/v3/civops/economy")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromUserId\": \"123456789012345678\",\n \"toUserId\": \"234567890123456789\",\n \"amount\": 500\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"fromUserId": "123456789012345678",
"toUserId": "234567890123456789",
"amount": 500,
"newBalance": {
"cash": 14500,
"bank": 82000
}
}Autorizaciones
Clave API en el encabezado Autorización en el formato Bearer <token>.
¿Esta página le ayudó?